# -*- coding: utf-8 -*-
"""Raw.

This file is automatically generated. Do not modify!
"""

from micado.main.BaseFrame import persistent
from micado.main.ObservingBlock import ObservingBlock
from micado.main.Template import Template
from micado.hardware.DetectorArray import DetectorArray
from micado.main.RawExtra import RawExtra


class Raw(RawExtra):
    """A Raw DataItem."""

    dummy_raw = persistent("dummy [][None]", int, 42)

    det_dit = persistent(
        "Detector integration time (average when NDIT > 1) [DET DIT][s]", float, 1.0
    )

    mjdobs = persistent(
        "Modified Julian Day of the start of the exposure. The MJD is related "
        "to the Julian Day (JD) via the formula: MJD = JD-2400000.5 The comment"
        " includes a civil representation of the date and time. 8 decimals are "
        "required for a precision of one millisecond, 5 decimals for a "
        "precision of one second. [MJD-OBS][]",
        float,
        0.0,
    )

    tpl__start = persistent("Start time of template [TPL START][None]", float, 0.0)

    readmode = persistent(
        "Readout mode of the detector [DET READ MODE][None]", str, "CDS"
    )

    tpl__expno = persistent(
        "Number of this exposure in a Template [TPL EXPNO][None]", int, 0
    )

    obs__tplno = persistent(
        "Number of the template of this exposure in an ObservingBlock [OBS TPLNO][None]",
        int,
        0,
    )

    observing_block = persistent(
        "The Observing Block used to create this Raw [][None]", ObservingBlock, None
    )

    template = persistent("The template [][None]", Template, None)

    detector = persistent("Detector Array [][None]", DetectorArray, None)
