# -*- coding: utf-8 -*-
"""Tests for RST generation."""

from pathlib import Path

from micado.toolbox.rst_from_python import table_from_dataitem

from micado.dataitems.MasterDark import MasterDark
from micado.dataitems.Background import Background

PATH_HERE = Path(__file__).resolve().parent


def test_table_from_dataitem():
    """Test whether table_from_dataitem works."""
    # The output from use_field_lists is not tested, since it is not used.
    # Just cover it.
    table_from_dataitem(MasterDark, use_field_lists=True)

    # The Background is only here to cover raw == Science. TODO: add test.
    table_from_dataitem(Background, use_field_lists=False)

    stable, prosepurpose, proseworkflow, _ = table_from_dataitem(
        MasterDark, use_field_lists=False
    )

    # This file is copied from docs/source/generated.
    text_expected = open(PATH_HERE / f"{MasterDark.__name__}.rst").read()

    for text_found in stable, prosepurpose, proseworkflow:
        assert len(text_found) > 10
        assert text_found in text_expected
